## jpeg2ps 1.9-1

=== Makefile ===
# Makefile for jpeg2ps
# (C) Thomas Merz 1994-2002

VERSION=1.9
DIRNAME = jpeg2ps-$(VERSION)
TARFILE = jpeg2ps-$(VERSION).tar
ZIPFILE = jpeg2ps-$(VERSION).zip

# ----------------------------------------------------------------------------
# Supported compile time options:
# -DA4 gives A4 as default page size, omitting -DA4 gives U.S. letter format
# -DDOS adds DOS and OS/2 support

# The following was reported to work for emx/gcc 0.9c fix04 under OS/2:
# make -f Makefile "CFLAGS=-c -DA4 -DDOS -O2" "LDFLAGS=-Zexe -s"

CFLAGS=-c -DA4
LD=cc
LDFLAGS=
OBJ=o
EXE=
RM=rm -f

.c.$(OBJ) :
	$(CC) $(CFLAGS) $*.c

all:	jpeg2ps$(EXE)

jpeg2ps$(EXE):	jpeg2ps.$(OBJ) readjpeg.$(OBJ) asc85ec.$(OBJ)
	$(LD) $(LDFLAGS) -o jpeg2ps$(EXE) jpeg2ps.$(OBJ) readjpeg.$(OBJ) asc85ec.$(OBJ)

DISTFILES = \
	jpeg2ps.c psimage.h readjpeg.c asc85ec.c		\
	mac_prefix.h						\
	Makefile jpeg2ps.dsp jpeg2ps.mcp			\
	jpeg2ps.txt descrip.mms nesrin.jpg jpeg2ps.1

DOSDISTFILES = $(DISTFILES) jpeg2ps.exe

PREFIX = /usr/local

# Location where to install the binary. This is a suitable value for Linux
# (and possibly other unix-like) systems.
BINDIR = $(DESTDIR)$(PREFIX)/bin

# Location where to install the manual page.
MANDIR = $(DESTDIR)$(PREFIX)/share/man/man1

CONVFILES = \
	jpeg2ps.c psimage.h readjpeg.c asc85ec.c		\
	mac_prefix.h						\
	Makefile jpeg2ps.txt

dist:
	$(RM) $(ZIPFILE) $(TARFILE).gz;				\
	ln -s . $(DIRNAME);					\
	lineend -d $(CONVFILES);		 		\
	(for i in $(DOSDISTFILES); do				\
		echo $$i;					\
	done) | sed "s;.*;$(DIRNAME)/&;" >distfiles;		\
	zip -9 $(ZIPFILE) `cat distfiles`;			\
	(for i in $(DISTFILES); do				\
		echo $$i;					\
	done) | sed "s;.*;$(DIRNAME)/&;" >distfiles;		\
	lineend -u $(CONVFILES); 				\
	tar cvf  $(TARFILE) `cat distfiles`;			\
	gzip -9 $(TARFILE);					\
	$(RM) $(DIRNAME) distfiles;

test:	jpeg2ps$(EXE)
	./jpeg2ps -o nesrin.eps nesrin.jpg

clean:
	$(RM) *.$(OBJ) jpeg2ps$(EXE) $(TARFILE) $(TARFILE).gz $(ZIPFILE) \
	nesrin.eps

install: jpeg2ps$(EXE)
	install -s -o root -g root -m 0755 jpeg2ps$(EXE) $(BINDIR)
	install -o root -g root -m 0644 jpeg2ps.1 $(MANDIR)

uninstall:
	rm -f $(BINDIR)/jpeg2ps$(EXE)
	rm -f $(MANDIR)/jpeg2ps.1

jpeg2ps.$(OBJ):		jpeg2ps.c psimage.h

readjpeg.$(OBJ):	readjpeg.c psimage.h

asc85ec.$(OBJ):		asc85ec.c psimage.h

=== debian/changelog ===
jpeg2ps (1.9-1) unstable; urgency=low

  * Initial Release.
  * Removing getopt.c as it has a own license and is not needed.

 -- Klaus Ethgen <Klaus@Ethgen.de>  Fri, 11 Mar 2005 14:44:49 +0100

=== debian/control ===
Source: jpeg2ps
Section: graphics
Priority: optional
Maintainer: Klaus Ethgen <Klaus@Ethgen.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: jpeg2ps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool to include a jpeg into eps
 This tool use the ps-2 or ps-3 methode to put a jpeg graphic into a eps

=== debian/rules ===
#!/usr/bin/make -f
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/jpeg2ps PREFIX=/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
